<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [iceshrimp-js](./iceshrimp-js.md) &gt; [entities](./iceshrimp-js.entities.md) &gt; [InstanceMetadata](./iceshrimp-js.entities.instancemetadata.md)

## entities.InstanceMetadata type

**Signature:**

```typescript
export declare type InstanceMetadata =
	| LiteInstanceMetadata
	| DetailedInstanceMetadata;
```
**References:** [LiteInstanceMetadata](./iceshrimp-js.entities.liteinstancemetadata.md)<!-- -->, [DetailedInstanceMetadata](./iceshrimp-js.entities.detailedinstancemetadata.md)

